Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class POStatus

    java.lang.Object
      |
      +--examples.e2e.common.POStatus

public final class POStatus
extends java.lang.Object
implements java.io.Serializable

`POStatus` represents the possible statuses for a ``PO`` object. The class has a closed set of public static instances each representing a possible status. The constructor is private.

See Also:
  Serialized Form

Field Summary
`static POStatus` | `ACKNOWLEDGED`
`static int` | `I_ACKNOWLEDGED`
`static int` | `I_PENDING`
`static int` | `I_RECEIVED`
`static int` | `I_SHIPPED`
`static POStatus` | `PENDING`
`static POStatus` | `RECEIVED`
`static POStatus` | `SHIPPED`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `getInt()` returns the integer value associated with the object.
`static POStatus` | `getObject(java.lang.String token)` returns the appropriate object for the given input token or null if the token is null or does not correspond to an object.
`java.lang.String` | `getString()` Returns the string value corresponding to the object.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns the string value corresponding to the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_PENDING

    public static final int I_PENDING

### I_ACKNOWLEDGED

    public static final int I_ACKNOWLEDGED

### I_SHIPPED

    public static final int I_SHIPPED

### I_RECEIVED

    public static final int I_RECEIVED

### PENDING

    public static final POStatus PENDING

### ACKNOWLEDGED

    public static final POStatus ACKNOWLEDGED

### SHIPPED

    public static final POStatus SHIPPED

### RECEIVED

    public static final POStatus RECEIVED

Method Detail

### toString

    public java.lang.String toString()

  Returns the string value corresponding to the object.

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

  Returns the string value corresponding to the object.

### getInt

    public int getInt()

  returns the integer value associated with the object. This value is guaranteed to be unique within the closed set of instances of this class. This method is helpful when using switch statements.

### getObject

    public static POStatus getObject(java.lang.String token)

  returns the appropriate object for the given input token or null if the token is null or does not correspond to an object. The token may be upper or lower case.

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved